import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'add_friend_request.g.dart';

@JsonSerializable()
class AddFriendRequest extends AppBaseRequest {
  @JsonKey(name: "phone")
  String phone;

  AddFriendRequest(this.phone);

  factory AddFriendRequest.fromJson(Map<String, dynamic> json) =>
      _$AddFriendRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$AddFriendRequestToJson(this);
}
